Package org.apache.synapse.commons.json

## Class JsonStreamFormatter

- java.lang.Object
- - org.apache.synapse.commons.json.JsonStreamFormatter

- All Implemented Interfaces:
    `org.apache.axis2.transport.MessageFormatter`

      public final class JsonStreamFormatter
      extends Object
      implements org.apache.axis2.transport.MessageFormatter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonStreamFormatter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `formatSOAPAction​(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat omOutputFormat, String s)` |
    `byte[]` | `getBytes​(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format)` |
    `String` | `getContentType​(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapActionString)` |
    `URL` | `getTargetAddress​(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, URL targetURL)` |
    `static void` | `toJson​(org.apache.axis2.context.MessageContext messageContext, OutputStream out)` | Deprecated. Use `JsonUtil.writeAsJson(org.apache.axis2.context.MessageContext, java.io.OutputStream)`
    `void` | `writeTo​(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, OutputStream out, boolean preserve)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonStreamFormatter

          public JsonStreamFormatter()

  - ### Method Detail

    - #### getBytes

          public byte[] getBytes​(org.apache.axis2.context.MessageContext messageContext,
                                 org.apache.axiom.om.OMOutputFormat format)
                          throws org.apache.axis2.AxisFault

      Specified by:
        `getBytes` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getContentType

          public String getContentType​(org.apache.axis2.context.MessageContext messageContext,
                                       org.apache.axiom.om.OMOutputFormat format,
                                       String soapActionString)

      Specified by:
        `getContentType` in interface `org.apache.axis2.transport.MessageFormatter`

    - #### writeTo

          public void writeTo​(org.apache.axis2.context.MessageContext messageContext,
                              org.apache.axiom.om.OMOutputFormat format,
                              OutputStream out,
                              boolean preserve)
                       throws org.apache.axis2.AxisFault

      Specified by:
        `writeTo` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### toJson

          public static void toJson​(org.apache.axis2.context.MessageContext messageContext,
                                    OutputStream out)
                             throws org.apache.axis2.AxisFault

      Deprecated.
      Use `JsonUtil.writeAsJson(org.apache.axis2.context.MessageContext, java.io.OutputStream)`
      Parameters:
        `messageContext` - Axis2 Message context that holds the JSON/XML payload.
        `out` - Output stream to which the payload(JSON) must be written.
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getTargetAddress

          public URL getTargetAddress​(org.apache.axis2.context.MessageContext messageContext,
                                      org.apache.axiom.om.OMOutputFormat format,
                                      URL targetURL)
                               throws org.apache.axis2.AxisFault

      Specified by:
        `getTargetAddress` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### formatSOAPAction

          public String formatSOAPAction​(org.apache.axis2.context.MessageContext messageContext,
                                         org.apache.axiom.om.OMOutputFormat omOutputFormat,
                                         String s)

      Specified by:
        `formatSOAPAction` in interface `org.apache.axis2.transport.MessageFormatter`